

   MEMBER('test.clw')                                 ! This is a MEMBER module


   INCLUDE('ABBROWSE.INC'),ONCE
   INCLUDE('ABPOPUP.INC'),ONCE
   INCLUDE('ABRESIZE.INC'),ONCE
   INCLUDE('ABTOOLBA.INC'),ONCE
   INCLUDE('ABWINDOW.INC'),ONCE

                     MAP
                       INCLUDE('TEST004.INC'),ONCE        !Local module prodecure declarations
                       INCLUDE('TEST007.INC'),ONCE        !Req'd for module callout resolution
                     END


Browsepli PROCEDURE                                   !Generated from procedure template - Window

CurrentTab           STRING(80)
FilesOpened          BYTE
BRW1::View:Browse    VIEW(pli)
                       PROJECT(PLI:nazwy)
                     END
Queue:Browse:1       QUEUE                            !Queue declaration for browse/combo box using ?Browse:1
PLI:nazwy              LIKE(PLI:nazwy)                !List box control field - type derived from field
Mark                   BYTE                           !Stores entry's marked status
ViewPosition           STRING(1024)                   !Entry's file position string
                     END
QuickWindow          WINDOW('Przegl<185>daj plik pli'),AT(,,159,188),FONT('MS Sans Serif',8,,),IMM,HLP('Browsepli'),SYSTEM,GRAY,RESIZE,MDI
                       LIST,AT(8,20,143,124),USE(?Browse:1),IMM,HVSCROLL,MSG('Przegl<185>danie rekordw'),FORMAT('80L(2)|M~nazwy~L(2)@S128@'),FROM(Queue:Browse:1)
                       BUTTON('&Dopisz'),AT(8,148,45,14),USE(?Insert:2)
                       BUTTON('&Popraw'),AT(57,148,45,14),USE(?Change:2),DEFAULT
                       BUTTON('&Usu'),AT(106,148,45,14),USE(?Delete:2)
                       SHEET,AT(4,4,151,162),USE(?CurrentTab)
                         TAB('PLI:Keynazwy'),USE(?Tab:2)
                         END
                       END
                       BUTTON('&Zamknij'),AT(61,170,45,14),USE(?Close)
                       BUTTON('Pomoc'),AT(110,170,45,14),USE(?Help),STD(STD:Help)
                     END

ThisWindow           CLASS(WindowManager)
Init                   PROCEDURE(),BYTE,PROC,DERIVED
Kill                   PROCEDURE(),BYTE,PROC,DERIVED
Run                    PROCEDURE(USHORT Number,BYTE Request),BYTE,PROC,DERIVED
                     END

Toolbar              ToolbarClass
BRW1                 CLASS(BrowseClass)               ! Browse using ?Browse:1
Q                      &Queue:Browse:1                !Reference to browse queue
                     END

BRW1::Sort0:Locator  StepLocatorClass ! Default Locator
BRW1::Sort0:StepClass StepStringClass ! Default Step Manager
BRW1::EIPManager     BrowseEIPManager ! Browse EIP Manager for Browse using ?Browse:1
Resizer              CLASS(WindowResizeClass)
Init                   PROCEDURE(BYTE AppStrategy=AppStrategy:Resize,BYTE SetWindowMinSize=False,BYTE SetWindowMaxSize=False)
                     END


  CODE
  GlobalResponse = ThisWindow.Run()


ThisWindow.Init PROCEDURE

ReturnValue          BYTE,AUTO
  CODE
  GlobalErrors.SetProcedureName('Browsepli')
  SELF.Request = GlobalRequest
  ReturnValue =PARENT.Init()
  IF ReturnValue THEN RETURN ReturnValue.
  SELF.FirstField = ?Browse:1
  SELF.VCRRequest &= VCRRequest
  SELF.Errors &= GlobalErrors
  SELF.AddItem(Toolbar)
  CLEAR(GlobalRequest)
  CLEAR(GlobalResponse)
  SELF.AddItem(?Close,RequestCancelled)
  Relate:pli.Open
  FilesOpened = True
  BRW1.Init(?Browse:1,Queue:Browse:1.ViewPosition,BRW1::View:Browse,Queue:Browse:1,Relate:pli,SELF)
  OPEN(QuickWindow)
  SELF.Opened=True
  BRW1.Q &= Queue:Browse:1
  BRW1::Sort0:StepClass.Init(+ScrollSort:AllowAlpha,ScrollBy:Runtime)
  BRW1.AddSortOrder(BRW1::Sort0:StepClass,PLI:Keynazwy)
  BRW1.AddLocator(BRW1::Sort0:Locator)
  BRW1::Sort0:Locator.Init(,PLI:nazwy,1,BRW1)
  BRW1.AddField(PLI:nazwy,BRW1.Q.PLI:nazwy)
  Resizer.Init(AppStrategy:Surface,Resize:SetMinSize)
  SELF.AddItem(Resizer)
  BRW1.InsertControl=?Insert:2
  BRW1.ChangeControl=?Change:2
  BRW1.DeleteControl=?Delete:2
  BRW1.AskProcedure = 1
  SELF.SetAlerts()
  RETURN ReturnValue


ThisWindow.Kill PROCEDURE

ReturnValue          BYTE,AUTO
  CODE
  ReturnValue =PARENT.Kill()
  IF ReturnValue THEN RETURN ReturnValue.
  IF FilesOpened
    Relate:pli.Close
  END
  GlobalErrors.SetProcedureName
  RETURN ReturnValue


ThisWindow.Run PROCEDURE(USHORT Number,BYTE Request)

ReturnValue          BYTE,AUTO
  CODE
  ReturnValue =PARENT.Run(Number,Request)
  GlobalRequest = Request
  Updatepli
  ReturnValue = GlobalResponse
  RETURN ReturnValue


Resizer.Init PROCEDURE(BYTE AppStrategy=AppStrategy:Resize,BYTE SetWindowMinSize=False,BYTE SetWindowMaxSize=False)


  CODE
  PARENT.Init(AppStrategy,SetWindowMinSize,SetWindowMaxSize)
  SELF.AutoTransparent=True
  SELF.SetParentDefaults

